#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
const int N = 1e5 + 50;
char s[N];
void die(int x)
{
    puts(x ? "YES" : "NO");
    exit(0);
}
int main()
{
    int n;
    scanf("%d%s", &n, &s);
    n -= 11;
    int c8 = count(s, s + n + 1, '8');
    if (c8 > (n / 2))
        die(1);
    else
        die(0);
    return 0;
}